## org.red5.server
Class BasicScope.EmptyBasicScopeIterator

    java.lang.Object
      org.red5.server.BasicScope.EmptyBasicScopeIterator

All Implemented Interfaces:
  Iterator<IBasicScope>

Enclosing class:
  BasicScope

    public static class BasicScope.EmptyBasicScopeIterator

extends Object
implements Iterator<IBasicScope>

Iterator for basic scope

Constructor Summary
`BasicScope.EmptyBasicScopeIterator()`

Method Summary
`boolean` `hasNext()`
`IBasicScope` `next()`
`void` `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicScope.EmptyBasicScopeIterator

    public BasicScope.EmptyBasicScopeIterator()

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `Iterator<IBasicScope>`

### next

    public IBasicScope next()

  Specified by:
    `next` in interface `Iterator<IBasicScope>`

### remove

    public void remove()

  Specified by:
    `remove` in interface `Iterator<IBasicScope>`

Copyright © 2006-2010 The Red5 Project